summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-12-13 19:54:27 +0000
committerPádraig Brady <P@draigBrady.com>2015-12-14 13:37:22 +0000
commit03bef9178163351c72af7fc494a40411610bc227 (patch)
tree5c1812edb0b7b1adf7618a789c8292bc913ec12e /tests/misc
parentfc8e71997336b7119d0781278d2bdf91587af1ef (diff)
downloadcoreutils-03bef9178163351c72af7fc494a40411610bc227.tar.xz
kill: add undocumented -L for compatibility
procps, bash >= 4.4, and util-linux >= 2.23 all have the -L option to output a table. * src/kill.c (main): Have -L synonymous with -t. Luckily there is no signal that begins with 'L'. * tests/misc/kill.sh: Update the test.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/kill.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/tests/misc/kill.sh b/tests/misc/kill.sh
index 61f8498ab..05035684b 100755
--- a/tests/misc/kill.sh
+++ b/tests/misc/kill.sh
@@ -42,6 +42,7 @@ env kill -0 -1 || fail=1 # to group
# table listing
env kill -l || fail=1
env kill -t || fail=1
+env kill -L || fail=1 # bash compat
env kill -t TERM || fail=1
# Verify name to signal number and vice versa